###################################################
### chunk number 1: 
###################################################
library(sampling)
ps.options(pointsize=12)
options(width=60)



###################################################
### chunk number 2: calib1
###################################################
data=rbind(matrix(rep("nc",165),165,1,byrow=TRUE),matrix(rep("sc",70),70,1,byrow=TRUE))
data=cbind.data.frame(data,c(rep(1,100), rep(2,50), rep(3,15), rep(1,30),rep(2,40)),1000*runif(235))
sex=runif(nrow(data))
for(i in 1:length(sex))
 if(sex[i]<0.3)  sex[i]=1 else sex[i]=2
data=cbind.data.frame(data,sex)
names(data)=c("state","region","income","sex")




###################################################
### chunk number 3: calib2
###################################################
table(data$state)




###################################################
### chunk number 4: calib3
###################################################
s=strata(data,c("state"),size=c(25,10), method="srswor")



###################################################
### chunk number 5: calib31
###################################################
s=getdata(data,s)



###################################################
### chunk number 6: calib3
###################################################
status=runif(nrow(s))
for(i in 1:length(status))
 if(status[i]<0.3) status[i]=0 else status[i]=1
s=cbind.data.frame(s,status) 



###################################################
### chunk number 7: calib4
###################################################
s=rhg_strata(s,selection="region")




###################################################
### chunk number 8: calib5
###################################################
sr=s[s$status==1,]



###################################################
### chunk number 9: calib6
###################################################
X=matrix(0,nrow=nrow(data),ncol=5)
for(i in 1:nrow(data))
  {if(data$sex[i]==1) X[i,1]=1
   if(data$sex[i]==2) X[i,2]=1
   if(data$region[i]==1) X[i,3]=1
   if(data$region[i]==2) X[i,4]=1
   if(data$region[i]==3) X[i,5]=1
   }



###################################################
### chunk number 10: calib7
###################################################
total=c(t(rep(1,nrow(data)))%*%X)




###################################################
### chunk number 11: calib8
###################################################
Xs=matrix(0,nrow=nrow(sr),ncol=5)
for(i in 1:nrow(sr))
  {if(sr$sex[i]==1) Xs[i,1]=1
   if(sr$sex[i]==2) Xs[i,2]=1
   if(sr$region[i]==1) Xs[i,3]=1
   if(sr$region[i]==2) Xs[i,4]=1
   if(sr$region[i]==3) Xs[i,5]=1
   }




###################################################
### chunk number 12: calib9
###################################################
d=1/(sr$Prob*sr$prob_resp)



###################################################
### chunk number 13: calib10
###################################################
g=calib(Xs,d,total,method="linear")



###################################################
### chunk number 14: calib11
###################################################
checkcalibration(Xs,d,total,g)


###################################################
### chunk number 15:  eval=FALSE
###################################################
## data=rbind(matrix(rep("nc",165),165,1,byrow=TRUE),matrix(rep("sc",70),70,1,byrow=TRUE))
## data=cbind.data.frame(data,c(rep(1,100), rep(2,50), rep(3,15), rep(1,30),rep(2,40)),1000*runif(235))
## sex=runif(nrow(data))
## for(i in 1:length(sex))
##  if(sex[i]<0.3)  sex[i]=1 else sex[i]=2
## data=cbind.data.frame(data,sex)
## names(data)=c("state","region","income","sex")
## 
## 
## table(data$state)
## 
## 
## status=runif(nrow(s))
## for(i in 1:length(status))
##  if(status[i]<0.3) status[i]=0 else status[i]=1
## s=cbind.data.frame(s,status) 
## 
## s=getdata(data,s)
## 
## s=rhg_strata(s,selection="region")
## 
## 
## sr=s[s$status==1,]
## 
## X=matrix(0,nrow=nrow(data),ncol=5)
## for(i in 1:nrow(data))
##   {if(data$sex[i]==1) X[i,1]=1
##    if(data$sex[i]==2) X[i,2]=1
##    if(data$region[i]==1) X[i,3]=1
##    if(data$region[i]==2) X[i,4]=1
##    if(data$region[i]==3) X[i,5]=1
##    }
## 
## total=c(t(rep(1,nrow(data)))%*%X)
## 
## 
## Xs=matrix(0,nrow=nrow(sr),ncol=5)
## for(i in 1:nrow(sr))
##   {if(sr$sex[i]==1) Xs[i,1]=1
##    if(sr$sex[i]==2) Xs[i,2]=1
##    if(sr$region[i]==1) Xs[i,3]=1
##    if(sr$region[i]==2) Xs[i,4]=1
##    if(sr$region[i]==3) Xs[i,5]=1
##    }
## 
## 
## d=1/(sr$Prob*sr$prob_resp)
## 
## g=calib(Xs,d,total,method="linear")
## 
## 
## sampling.newpage()
## 


